import { DingzAccessory } from '../dingzAccessory';
import { MyStromSwitchAccessory } from '../myStromSwitchAccessory';
import { MyStromLightbulbAccessory } from '../myStromLightbulbAccessory';
import { MyStromButtonAccessory } from '../myStromButtonAccessory';
import { MyStromPIRAccessory } from '../myStromPIRAccessory';
import { DingzDeviceHWInfo } from './dingzTypes';
import { MyStromDeviceHWInfo } from './myStromTypes';
export declare enum DeviceTypes {
    MYSTROM_SWITCH_CHV1 = 101,
    MYSTROM_BULB = 102,
    MYSTROM_BUTTON_PLUS = 103,
    MYSTROM_BUTTON = 104,
    MYSTROM_LEDSTRIP = 105,
    MYSTROM_SWITCH_CHV2 = 106,
    MYSTROM_SWITCH_EU = 107,
    DINGZ = 108,
    MYSTROM_PIR = 110,
    MYSTROM_BUTTON_PLUS_2G = 118,
    MYSTROM_SWITCH_ZERO = 120
}
export declare enum ButtonAction {
    SINGLE_PRESS = "1",
    DOUBLE_PRESS = "2",
    LONG_PRESS = "3",
    PIR_MOTION_START = "8",
    PIR_MOTION_STOP = "9"
}
export declare enum Module {
    BTN1 = "1",
    BTN2 = "2",
    BTN3 = "3",
    BTN4 = "4",
    PIR = "5",
    INPUT = "6"
}
export interface DeviceInfo {
    model?: string;
    hwInfo?: MyStromDeviceHWInfo | DingzDeviceHWInfo;
    name: string;
    address: string;
    token?: string;
    mac: string;
    accessoryClass: AccessoryClass;
}
export type AccessoryClass = 'DingzAccessory' | 'MyStromSwitchAccessory' | 'MyStromLightbulbAccessory' | 'MyStromButtonAccessory' | 'MyStromButtonPlusAccessory' | 'MyStromPIRAccessory';
export type AccessoryType = DingzAccessory | MyStromSwitchAccessory | MyStromLightbulbAccessory | MyStromButtonAccessory | MyStromPIRAccessory;
export interface AccessoryTypes {
    [key: string]: AccessoryType;
}
export interface AccessoryActionUrl {
    url?: string;
    generic?: string;
}
//# sourceMappingURL=commonTypes.d.ts.map