import { Logger, LogLevel } from 'homebridge';
/**
 * Drop-in helper class used to prefix debug messages with a colored dingz name
 */
export declare class DingzLogger {
    private readonly dingzPrefix;
    private readonly logger;
    /**
     *
     * @param logger the homebridge logger to do the actual logging
     */
    constructor(dingzPrefix: string, logger: Logger);
    /**
     * Logger.log like method
     * @param logLevel Log level (Logger.LogLevel)
     * @param message The message
     * @param parameters Additional parameter
     */
    log(logLevel: LogLevel, message: string, ...parameters: unknown[]): void;
    info(message: string, ...parameters: unknown[]): void;
    warn(message: string, ...parameters: unknown[]): void;
    error(message: string, ...parameters: unknown[]): void;
    debug(message: string, ...parameters: unknown[]): void;
}
//# sourceMappingURL=dingzLogHelper.d.ts.map